Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034496
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-11-14 16:002018-02-22 18:18
ReportercaristuView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisione0f8af32f887
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034496: CostingAlgorithmAdjustmentImp class is not thread safe

DescriptionThe application scoped class CostingAlgorithmAdjustmentImp[1] is not stateless[2]. This means that it is thread unsafe and therefore it does not guarantee its correct execution (even working in a single node) when being executed by different threads in parallel.


[1] https://code.openbravo.com/erp/devel/pi/file/3b0fb57e7fed/src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java [^]
[2] http://docs.oracle.com/javaee/6/tutorial/doc/gipjg.html#gipim [^]
Steps To ReproduceIn description
TagsmultiThread
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0034664 acknowledgedplatform multi thread unsafeties 

-  Notes
(0101978)
hgbot (developer)
2018-01-25 18:24

Repository: erp/devel/pi
Changeset: e0f8af32f887279ada1736685cc7048efb71f827
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jan 25 11:50:41 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e0f8af32f887279ada1736685cc7048efb71f827 [^]

Fixes Issue 34496. This class was original developed as a singleton.
However, as it evolved, this design was changed and now it behaves
as an object.

Now the information of the object should be created and destroyed
when a new instance of this object is created.

This is done in CostAdjustmentProcess using injection.

That is why the definition of ApplicationScoped does not make
sense any more, it must be Dependant.

---
M src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java
---
(0101979)
dmiguelez (developer)
2018-01-25 18:26

Test plan:

Launch TestCosting suite to check that the Costing functionality is working as expected.
(0101980)
dmiguelez (developer)
2018-01-25 18:27

Code Review + Testing Ok
(0102688)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-11-14 16:00 caristu New Issue
2016-11-14 16:00 caristu Assigned To => Triage Finance
2016-11-14 16:00 caristu Modules => Core
2016-11-14 16:00 caristu Triggers an Emergency Pack => No
2016-11-14 16:01 caristu Relationship added related to 0034490
2016-11-14 16:03 caristu Description Updated View Revisions
2016-11-14 16:04 caristu Description Updated View Revisions
2016-11-15 11:14 caristu Summary [clustering] CostingAlgorithmAdjustmentImp class is not thread safe => CostingAlgorithmAdjustmentImp class is not thread safe
2016-11-16 16:38 alostale Tag Attached: multiThread
2016-11-16 16:38 alostale Relationship deleted related to 0034490
2016-12-01 11:57 alostale Relationship added blocks 0034664
2016-12-01 11:57 alostale Severity minor => major
2017-12-26 11:29 vmromanos Status new => scheduled
2017-12-26 11:29 vmromanos Assigned To Triage Finance => collazoandy4
2018-01-25 18:24 hgbot Checkin
2018-01-25 18:24 hgbot Note Added: 0101978
2018-01-25 18:24 hgbot Status scheduled => resolved
2018-01-25 18:24 hgbot Resolution open => fixed
2018-01-25 18:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e0f8af32f887279ada1736685cc7048efb71f827 [^]
2018-01-25 18:26 dmiguelez Note Added: 0101979
2018-01-25 18:27 dmiguelez Review Assigned To => dmiguelez
2018-01-25 18:27 dmiguelez Note Added: 0101980
2018-01-25 18:27 dmiguelez Status resolved => closed
2018-01-25 18:27 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102688


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker